Permalink
Browse files

Version bump to 1.3.5, updates requirement for jeweler and bundler, c…

…lose #45
  • Loading branch information...
1 parent 90588ee commit 1b62a0f1d05160c81c77741a22ff0958c152d97e @helios committed Jul 24, 2013
Showing with 6 additions and 7 deletions.
  1. +1 −1 VERSION
  2. +5 −6 bio-gem.gemspec
View
@@ -1 +1 @@
-1.3.4
+1.3.5
View
@@ -5,11 +5,11 @@
Gem::Specification.new do |s|
s.name = "bio-gem"
- s.version = "1.3.4"
+ s.version = "1.3.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Raoul J.P. Bonnal", "Pjotr Prins"]
- s.date = "2012-04-18"
+ s.date = "2013-07-24"
s.description = "Biogem is a software generator for those bioinformaticans who want to start coding an application or a library for using/extending BioRuby core library and sharing it through rubygems.org .\n The basic idea is to simplify and promote a modular approach to bioinformatics software development"
s.email = "ilpuccio.febo@gmail.com"
s.executables = ["biogem"]
@@ -23,7 +23,6 @@ Gem::Specification.new do |s|
".travis.yml",
".yardopts",
"Gemfile",
- "Gemfile.lock",
"LICENSE.txt",
"README.rdoc",
"Rakefile",
@@ -71,12 +70,12 @@ Gem::Specification.new do |s|
s.licenses = ["MIT"]
s.rdoc_options = ["--main", "README", "--line-numbers"]
s.require_paths = ["lib"]
- s.required_ruby_version = Gem::Requirement.new("~> 1.9")
- s.rubygems_version = "1.8.10"
+ s.required_ruby_version = Gem::Requirement.new(">= 1.9")
+ s.rubygems_version = "2.0.0"
s.summary = "Biogem is a software generator for Ruby in bioinformatics"
if s.respond_to? :specification_version then
- s.specification_version = 3
+ s.specification_version = 4
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<bundler>, [">= 1.0.21"])

0 comments on commit 1b62a0f

Please sign in to comment.